> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/xamarin/digital-signature/digital-signature-validation.md).

# Digital Signature Validation in Xamarin

Validate signatures in signed documents by verifying signers with the DigitalSignatureListDialog. View signer's name, time of signing, validity, and more. Tap on Signature Properties for additional de

You can validate signatures in signed documents by verifying signers using the .

## Adding a trusted certificate

## Validating digital signatures

To verify your digital signatures, you can show the `DigitalSignatureListDialog` using the code below:

{% tabs %}
{% tab title="C#" %}
{% code lineNumbers="true" %}

```csharp
fun showDigitalSignatureList(toolManager: ToolManager, pdfViewCtrl: PDFViewCtrl, fragmentManager: FragmentManager) {
    var dialog = DigitalSignatureListDialog.NewInstance();
    dialog.SetStyle((int)DialogFragmentStyle.NoTitle, toolManager.GetTheme());
    dialog.SetPDFViewCtrl(pdfViewCtrl);
    dialog.Show(fragmentManager, "digital_sig_list_dialog");
}
```

{% endcode %}
{% endtab %}
{% endtabs %}

In this list, you will be able to view digital signature information such as the signer's name, time of signing, signature validity, etc. Additionally you can tap on Signature Properties to view additional signature details.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/xamarin/digital-signature/digital-signature-validation.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
